echo off
echo Start generation of OSAR Modules:

echo -----------------------------------------------------------------------------------------------------------
echo ---------------------------------------- Generation of BSW Modules ----------------------------------------
echo -----------------------------------------------------------------------------------------------------------
echo.
echo ------------------------------------------- Generate Det modul: -------------------------------------------
.\..\BSW\Det\01_Generator\DetModuleGenerator.exe
echo.

::echo ------------------------------------------- Generate Crc modul: -------------------------------------------
::.\..\BSW\Crc\01_Generator\CrcModuleGenerator.exe
::echo.

::echo ------------------------------------------ Generate UartIf modul: -----------------------------------------
::.\..\BSW\UartIf\01_Generator\UartIfModuleGenerator.exe
::echo.

::echo ----------------------------------------- Generate UartPduR modul: ----------------------------------------
::.\..\BSW\UartPduR\01_Generator\UartPduRModuleGenerator.exe
::echo.

::echo.
::echo -----------------------------------------------------------------------------------------------------------
::echo --------------------------------------- Generation of MCAL Modules ----------------------------------------
::echo -----------------------------------------------------------------------------------------------------------
::echo.

::echo ------------------------------------------- Generate Uart modul: ------------------------------------------
::.\..\MCAL\Uart\01_Generator\UartModuleGenerator.exe
::echo.